// SecuredCA.java

package org.objectweb.jonas.jtests.beans.jca15;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * SecuredCA remote interface
 */
public interface SecuredCA extends EJBObject {
    public void method1(java.lang.String s,java.lang.String t) throws RemoteException,Exception;
    public String getResAuth() throws RemoteException;
    public String getSecurityPassword() throws RemoteException;
    public String getSecurityUserName() throws RemoteException;
    public void setMatchNull(boolean b) throws RemoteException;
    public void setResAuth(java.lang.String res_auth) throws RemoteException;
    public void closeUp(int w) throws RemoteException;

}
